# ==================================================================
# Plugins::Recommend_It_Stats - Auto Generated Install Module
#
#   Plugins::Recommend_It_Stats
#   Author  : Andy Newby
#   Version : 1
#   Updated : Tue Nov 12 11:03:21 2002
#
# ==================================================================
#

package Plugins::Recommend_It_Stats;
# ==================================================================
    use strict;
    use vars  qw/$VERSION $DEBUG $NAME $META/;
    use GT::Base;
    use GT::Plugins qw/STOP CONTINUE/;
    use Links qw/$CFG $IN $DB/;

    $VERSION = '1';
    $DEBUG   = 0;
    $NAME    = 'Recommend_It_Stats';
# Inhert from base class for debug and error methods
    @Plugins::Recommend_It_Stats::ISA = qw(GT::Base);

    $META = {
    'prog_ver' => '2.1.0',
    'url' => 'http://www.linkssql.net',
    'license' => 'Freeware',
    'description' => 'Just shows a nicer interface of how many links have been refered by the <b>Recommend_It</b> plugin, rather than having to go through each link manually to check...',
    'author' => 'Andy Newby',
    'version' => '1'
};


sub pre_install {
# -------------------------------------------------------------------
# This function displays an HTML formatted message that will display
# to the user any instructions/information before they install
# the plugin.
#
    my $inst_msg = 'Please enjoy this plugin. Also, if you have some spare $$$\'s, please send some my way :)';

    return $inst_msg;
}

sub pre_uninstall {
# -------------------------------------------------------------------
# This function displays an HTML formatted message that will display
# to the user any instructions/information before they remove the
# plugin.
#
    my $uninst_msg = 'Sorry to see you are uninstalling...';

    return $uninst_msg;
}

sub install {
# -------------------------------------------------------------------
# This function does the actual installation. It's first argument is
# a plugin manager which you can use to register hooks, install files,
# add menu options, etc. The second argument is a GT::Tar object which
# you can use to access any files in your plugin module.
#
# You should return an HTML formatted string that will be displayed 
# to the user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::Recommend_It_Stats::error
#
    my ($mgr, $tar) = @_;
    
    $mgr->install_menu ( 'Recommend_It_Stats', [ ['Readme', 'admin.cgi?do=plugin&plugin=Recommend_It_Stats&func=Readme'] ] );
    $mgr->install_menu ( 'Recommend_It_Stats', [ ['View Stats', 'admin.cgi?do=plugin&plugin=Recommend_It_Stats&func=Stats'] ] );
    ;
    return "The plugin has been successfully installed!";
}

sub uninstall {
# -------------------------------------------------------------------
# This function removes the plugin. It's first argument is
# also a plugin manager which you can use to register hooks, install files,
# add menu options, etc. You should return an HTML formatted string
# that will be displayed to the user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::Recommend_It_Stats::error
#
    my $mgr = shift;
    
    $mgr->uninstall_menu ( 'Recommend_It_Stats', [ ['Readme', 'admin.cgi?do=plugin&plugin=Recommend_It_Stats&func=Readme'] ] );
    $mgr->uninstall_menu ( 'Recommend_It_Stats', [ ['View Stats', 'admin.cgi?do=plugin&plugin=Recommend_It_Stats&func=Stats'] ] );
    ;
    return "The plugin has been successfully removed!";
}

1;
